Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodegetlastchildnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodegetlastchildnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

If there is not a last child then the "getLastChild()"

method returns null.

Retrieve the Text node from the second child of the first

employee and invoke the "getLastChild()" method. It

should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-61AD09FB

Definition at line 51 of file nodegetlastchildnull.java.

## Constructor & Destructor Documentation

nodegetlastchildnull::nodegetlastchildnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodegetlastchildnull.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodegetlastchildnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 77 of file nodegetlastchildnull.java.
    00077                                 {
    00078       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodegetlastchildnull";
    00079    }

void nodegetlastchildnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 80 of file nodegetlastchildnull.java. References DOMTestCase::doMain().
    00080                                           {
    00081         DOMTestCase.doMain(nodegetlastchildnull.class,args);
    00082    }

void nodegetlastchildnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodegetlastchildnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       NodeList elementList;
    00062       Node employeeNode;
    00063       NodeList employeeList;
    00064       Node secondChildNode;
    00065       Node textNode;
    00066       Node noChildNode;
    00067       doc = load("staff");
    00068       elementList = doc.getElementsByTagName("employee");
    00069       employeeNode = elementList.item(0);
    00070       employeeList = employeeNode.getChildNodes();
    00071       secondChildNode = employeeList.item(1);
    00072       textNode = secondChildNode.getFirstChild();
    00073       noChildNode = textNode.getLastChild();
    00074       assertNull("nodeGetLastChildNullAssert1",noChildNode);
    00075
    00076    }

The documentation for this class was generated from the following file:

- nodegetlastchildnull.java